NumberValue (Groovy 5.0.7)

Package: org.apache.groovy.json.internal

## [Java] Class NumberValue

- org.apache.groovy.json.internal.NumberValue

- All Implemented Interfaces and Traits:
    Value

      public class NumberValue
      extends java.langNumber
      implements Value

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NumberValue(Type type)`
    `NumberValue()`
    `NumberValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BigDecimal` | `bigDecimalValue()`
    `` | `public BigInteger` | `bigIntegerValue()`
    `` | `public boolean` | `booleanValue()`
    `` | `public byte` | `byteValue()`
    `` | `public char` | `charValue()`
    `` | `public final void` | `chop()`
    `` | `public Date` | `dateValue()`
    `` | `public double` | `doubleValue()`
    `` | `public boolean` | `equals(Object o)`
    `` | `public float` | `floatValue()`
    `` | `public int` | `hashCode()`
    `` | `public int` | `intValue()`
    `` | `public boolean` | `isContainer()`
    `` | `public long` | `longValue()`
    `` | `public short` | `shortValue()`
    `` | `public String` | `stringValue()`
    `` | `public String` | `stringValueEncoded()`
    `<T extends Enum>` | `public T` | `toEnum(Class<T> cls)`
    `<T extends Enum>` | `public static T` | `toEnum(Class<T> cls, int value)`
    `` | `public String` | `toString()`
    `` | `public final Object` | `toValue()`

- - ### Constructor Detail

    - #### public NumberValue(Type type)

    - #### public NumberValue()

    - #### public NumberValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer)

  - ### Method Detail

    - #### @Override
      public BigDecimal bigDecimalValue()

    - #### @Override
      public BigInteger bigIntegerValue()

    - #### @Override
      public boolean booleanValue()

    - #### @Override
      public byte byteValue()

    - #### @Override
      public char charValue()

    - #### @Override
      public final void chop()

    - #### @Override
      public Date dateValue()

    - #### @Override
      public double doubleValue()

    - #### @Override
      public boolean equals(Object o)

    - #### @Override
      public float floatValue()

    - #### @Override
      public int hashCode()

    - #### @Override
      public int intValue()

    - #### @Override
      public boolean isContainer()

    - #### @Override
      public long longValue()

    - #### @Override
      public short shortValue()

    - #### @Override
      public String stringValue()

    - #### @Override
      public String stringValueEncoded()

    - #### <T extends Enum> @Override
      public T toEnum(Class<T> cls)

    - #### <T extends Enum> public static T toEnum(Class<T> cls, int value)

    - #### @Override
      public String toString()

    - #### @Override
      public final Object toValue()